## SYSTEM Call an External Program

Section: Operating System Functions

### Usage

The `system` function allows you to call an external program from within FreeMat, and capture the output. The syntax of the `system` function is

      y = system(cmd)

where `cmd` is the command to execute. The return array `y` is of type `cell-array`, where each entry in the array corresponds to a line from the output.

### Example

Here is an example of calling the `ls` function (the list files function under Un*x-like operating system).

    --> y = system('ls m*.m')

    y =
      Empty array [0 1]
    --> y{1}
    -->
    quit